<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%@ page import="com.bookcollector.model.Author" %>
<%@ page import="com.bookcollector.model.dao.AuthorDAO" %>
<%@ page import="java.util.ArrayList" %>

<% 
	ArrayList<Author> authors = new AuthorDAO().getAllAuthors();
	request.setAttribute("authors", authors);
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Book Collector - Authors</title>
</head>
<body>
	<h2>All Authors</h2>
	<h3><a href="../BookCollector">Main Page</a></h3>
	<h3><a href="addauthor.jsp">Add Author</a></h3>
	<c:forEach items="${authors}" var="author">
		${author} <a href="update?asa=author&id=${author.idAuthor}">Update</a> <a href="delete?asa=author&id=${author.idAuthor}">Delete</a><br>
	</c:forEach>
</body>
</html>