<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%@ page import="com.bookcollector.model.Book" %>
<%@ page import="com.bookcollector.model.dao.BookDAO" %>
<%@ page import="java.util.ArrayList" %>

<% 
	ArrayList<Book> books = new BookDAO().getAllBooks(); 
	request.setAttribute("books", books);
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style type="text/css">
<%@include file="css/bootstrap.css" %>
</style>

<script src="<%@include file="js/bootstrap.js" %>"></script>
<script src="<%@include file="js/jquery.js" %>"></script>
<title>Book Collector - Books</title>
</head>
<body>
    <div class="container-fluid">
    	<h2>All Books</h2>
	    <div class="row-fluid">
		    <div class="span2">
			    <!--Sidebar content-->
			    <a href="../BookCollector">Main Page</a>
			    <a href="addbook.jsp">Add Book</a>
		    </div>
		    <div class="span10">
		    	<!--Body content-->
		    	<c:forEach items="${books}" var="book">
		    		${book} <a href="update?asa=book&id=${book.idBook}">Update</a> <a href="delete?asa=book&id=${book.idBook}">Delete</a><br>
				</c:forEach>
		    </div>
	    </div>
    </div>
</body>
</html>