<%@page import="com.bookcollector.model.Publisher"%>
<%@page import="com.bookcollector.model.Author"%>
<%@page import="com.bookcollector.model.dao.CategoryDAO"%>
<%@page import="com.bookcollector.model.Category"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%@ page import="com.bookcollector.model.Book" %>
<%@ page import="com.bookcollector.model.dao.BookDAO" %>
<%@ page import="com.bookcollector.model.Category" %>
<%@ page import="com.bookcollector.model.dao.CategoryDAO" %>
<%@ page import="com.bookcollector.model.Author" %>
<%@ page import="com.bookcollector.model.dao.AuthorDAO" %>
<%@ page import="com.bookcollector.model.Publisher" %>
<%@ page import="com.bookcollector.model.dao.PublisherDAO" %>
<%@ page import="java.util.ArrayList" %>

<% 
	ArrayList<Book> books = new BookDAO().getLastestBooks();
	request.setAttribute("books", books);
%>

<%
	ArrayList<Category> categories = new CategoryDAO().getAllCategories();
	request.setAttribute("categories", categories);
%>

<%
	ArrayList<Author> authors = new AuthorDAO().getAllAuthors();
	request.setAttribute("authors", authors);
%>

<%
	ArrayList<Publisher> publishers = new PublisherDAO().getAllPublishers();
	request.setAttribute("publishers", publishers);
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<style type="text/css">
<%@include file="css/bootstrap.css" %>
</style>

<title>Book Collector</title>
</head>
<body>
    <div class="navbar ">
      <div class="navbar-inner">
        <div class="container-fluid">
          <a data-target=".nav-collapse" data-toggle="collapse" class="btn btn-navbar">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </a>
          <a href="../BookCollector" class="brand"><img width="111" height="30" alt="Book Collector" src=""></a>
          <div class="nav-collapse">
            <ul class="nav">
              <li class="active"><a href="#">Home</a></li>
              <li><a href="#about">About</a></li>
            </ul>
            <!-- <p class="navbar-text pull-right">Logged in as <a href="#">username</a></p> -->
          </div><!--/.nav-collapse -->
        </div>
      </div>
    </div>
    <div class="container-fluid">
      <div class="row-fluid">
        <div class="span3">
          <div class="well sidebar-nav">
            <ul class="nav nav-list">
            	<li class="nav-header">Menu</li>
            	<li><a href="books.jsp">Books</a></li>
            	<li><a href="categories.jsp">Categories</a></li>
				<li><a href="authors.jsp">Authors</a></li>
				<li><a href="publishers.jsp">Publishers</a></li>
              	<!-- <li class="nav-header">Backend</li>
              	<li><a href="#"></a></li>
              	<li><a href="#"></a></li>
              	<li><a href="#"></a></li>
              	<li><a href="#"></a></li>
              	<li><a href="#"></a></li> -->
           </ul>
          </div><!--/.well -->
        </div><!--/span-->
        <div class="span9">
          <div class="leaderboard">
            <h1>Lastest Added 5 Books</h1>
			<table class="table table-hover table-bordered">
              <thead>
                <tr>
                  <th>ID</th>
                  <th>Name</th>
                  <th>Category</th>
                  <th>Total Pages</th>
                  <th>ISBN</th>
                  <th>Author</th>
                  <th>Publisher</th>
                </tr>
              </thead>
              <tbody>
              	<c:forEach items="${books}" var="book">
	                <tr>
	                  <td>${book.idBook}</td>
	                  <td>${book.name}</td>
	                  <td>${book.category}</td>
	                  <td>${book.totalPages}</td>
	                  <td>${book.ISBN}</td>
	                  <td>${book.author}</td>
	                  <td>${book.publisher}</td>
	                </tr>	
              	</c:forEach>
              </tbody>
            </table>
            <p><a href="books.jsp" class="btn btn-success btn-large">Look At All Books</a></p>
          </div>
          <div class="row-fluid">
            <div class="span4">
              <h2>Categories</h2>
              <ul>
              <c:forEach items="${categories}" var="category">
              		<li><a href="#">${category}</a></li>
              </c:forEach>
              </ul>
            </div><!--/span-->
            <div class="span4">
              <h2>Authors</h2>
              <ul>
              <c:forEach items="${authors}" var="author">
              	<li><a href="#">${author}</a></li>         
              </c:forEach>
              </ul>
            </div>
            <div class="span4">
              <h2>Publishers</h2>
              <ul>
              	<c:forEach items="${publishers}" var="publisher">
              		<li><a href="#">${publisher}</a></li>
              	</c:forEach>
              </ul>
            </div>
          </div>
          <hr>
    </div>
</div>
</div>
</body>
</html>
