package com.bookcollector.controller;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.bookcollector.model.dao.AuthorDAO;
import com.bookcollector.model.dao.BookDAO;
import com.bookcollector.model.dao.CategoryDAO;
import com.bookcollector.model.dao.PublisherDAO;

@WebServlet("/delete")
public class DeleteController extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doPost(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String asa = request.getParameter("asa");
		int id = Integer.valueOf(request.getParameter("id"));
		switch (asa) {
		case "author":
			if(new AuthorDAO().deleteAuthor(id)){
				request.getRequestDispatcher("index.jsp").forward(request, response);
			}
			break;
		case "book":
			if(new BookDAO().deleteBook(id)){
				request.getRequestDispatcher("index.jsp").forward(request, response);
			}	
			break;
		case "publisher":
			if(new PublisherDAO().deletePublisher(id)){
				request.getRequestDispatcher("index.jsp").forward(request, response);
			}
			break;
		case "category":
			if(new CategoryDAO().deleteCategory(id)){
				request.getRequestDispatcher("index.jsp").forward(request, response);
			}
			break;
		}
	}

}