<%@page import="com.bookcollector.model.Publisher"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%@ page import="com.bookcollector.model.Author" %>
<%@ page import="com.bookcollector.model.Category" %>
<%@ page import="com.bookcollector.model.Publisher" %>
<%@ page import="com.bookcollector.model.dao.PublisherDAO" %>
<%@ page import="com.bookcollector.model.dao.AuthorDAO" %>
<%@ page import="com.bookcollector.model.dao.CategoryDAO" %>
<%@ page import="java.util.ArrayList" %>

<% 
	ArrayList<Author> authors = new AuthorDAO().getAllAuthors(); 
	request.setAttribute("authors", authors);
%>

<% 
	ArrayList<Category> categories = new CategoryDAO().getAllCategories();
	request.setAttribute("categories", categories);
%>

<% 
	ArrayList<Publisher> publishers = new PublisherDAO().getAllPublishers();
	request.setAttribute("publishers", publishers);
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style type="text/css">
<%@include file="css/bootstrap.css" %>
</style>

<script src="<%@include file="js/bootstrap.js" %>"></script>
<script src="<%@include file="js/jquery.js" %>"></script>
<title>Add Book</title>
</head>
<body>
	<div class="container">
	<div class="row">
		<div class="span3">
			<h2>Add Book</h2>
			<form action="add?asa=book" method="POST">
				Name: <input type="text" name="name"><br>
				Total Pages: <input type="text" name="totalPages"><br>
				ISBN: <input type="text" name="ISBN"><br>
				<select name="author">
					<c:forEach items="${authors}" var="author">
		        		<option value="${author.idAuthor}">${author}</option>
					</c:forEach>
				</select>
				<select name="category">
					<c:forEach items="${categories}" var="category">
		        		<option value="${category.idCategory}">${category}</option>
					</c:forEach>
				</select>
				<select name="publisher">
					<c:forEach items="${publishers}" var="publisher">
		        		<option value="${publisher.idPublisher}">${publisher}</option>
					</c:forEach>
				</select>
				<input type="submit" value="Save">
			</form>
		</div>
	</div>
	</div>
</body>
</html>