<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%@ page import="com.bookcollector.model.Category" %>
<%@ page import="com.bookcollector.model.dao.CategoryDAO" %>
<%@ page import="java.util.ArrayList" %>

<% 
	ArrayList<Category> categories = new CategoryDAO().getAllCategories(); 
	request.setAttribute("categories", categories);
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Book Collector - Categories</title>
</head>
<body>
	<h2>All Categories</h2>
	<h3><a href="../BookCollector">Main Page</a></h3>
	<h3><a href="addcategory.jsp">Add Category</a></h3>
	<c:forEach items="${categories}" var="category">
		${category} <a href="update?asa=category&id=${category.idCategory}">Update</a> <a href="delete?asa=category&id=${category.idCategory}">Delete</a><br>
	</c:forEach>
</body>
</html>