<%@page import="com.bookcollector.model.dao.BookDAO"%>
<%@page import="com.bookcollector.model.Publisher"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%@ page import="com.bookcollector.model.Book" %>
<%@ page import="com.bookcollector.model.Author" %>
<%@ page import="com.bookcollector.model.Category" %>
<%@ page import="com.bookcollector.model.Publisher" %>
<%@ page import="com.bookcollector.model.dao.BookDAO" %>
<%@ page import="com.bookcollector.model.dao.PublisherDAO" %>
<%@ page import="com.bookcollector.model.dao.AuthorDAO" %>
<%@ page import="com.bookcollector.model.dao.CategoryDAO" %>
<%@ page import="java.util.ArrayList" %>

<% 
	int id = Integer.valueOf(request.getParameter("id"));
	Book book = new BookDAO().getBook(id);
	request.setAttribute("book", book);
%>

<% 
	ArrayList<Author> authors = new AuthorDAO().getAllAuthors(); 
	request.setAttribute("authors", authors);
%>

<% 
	ArrayList<Category> categories = new CategoryDAO().getAllCategories();
	request.setAttribute("categories", categories);
%>

<% 
	ArrayList<Publisher> publishers = new PublisherDAO().getAllPublishers();
	request.setAttribute("publishers", publishers);
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Update Book</title>
</head>
<body>
	<form action="update" method="POST">
		<input type="hidden" name="id" value="${book.idBook}">
		<input type="hidden" name="asa" value="book">
		Name: <input type="text" name="name" value="${book.name}"><br>
		Total Pages: <input type="text" name="totalPages" value="${book.totalPages}"><br>
		ISBN: <input type="text" name="ISBN" value="${book.ISBN}"><br>
		<select name="author">
			<c:forEach items="${authors}" var="author">
        		<option value="${author.idAuthor}">${author}</option>
			</c:forEach>
		</select>
		<select name="category">
			<c:forEach items="${categories}" var="category">
        		<option value="${category.idCategory}">${category}</option>
			</c:forEach>
		</select>
		<select name="publisher">
			<c:forEach items="${publishers}" var="publisher">
        		<option value="${publisher.idPublisher}">${publisher}</option>
			</c:forEach>
		</select>
		<input type="submit" value="Save">
	</form>
</body>
</html>